#include <string.h>
#include "defines.h"
#include "menu.h"

int err_mes(int *x,int *y,int mode,unchar *mes1,unchar *mes2,unchar *mes3,MCOLORS *colors)
/* 簡易エラーメッセージ表示 */
{
unchar *ms[4],s[DISPX*2+1];
unint n=0;
	ms[0]=(mode? "致命的エラー":"エラー");
	ms[++n]=mes1;
	if (*mes2) {
		/*sprintf2(s,"（%s）",mes2);*/
		strcpy(s,"（");
		strcat(s,mes2);
		strcat(s,"）");
		ms[++n]=s;
	}
	ms[++n]=mes3;
	
	bell(2);
	n=message0(x,y,ms,n,colors,mode);
	kflush();
	return(n);
}
